## com.google.javascript.jscomp.graph
Interface SubGraph<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

    public interface SubGraph<N,E>

An interface representing a subgraph that provides adjacency calculation to a node.

Method Summary
`void` | `addNode(N value)` Adds the node into this subgraph.
`boolean` | `isIndependentOf(N node)` Returns true if the node is a neighbor of any node in this SubGraph.

Method Detail

### isIndependentOf

    boolean isIndependentOf(N node)

  Returns true if the node is a neighbor of any node in this SubGraph.

### addNode

    void addNode(N value)

  Adds the node into this subgraph.